Generation Framework

## org.eclipse.gmf.codegen.gmfgen.presentation
Class EditorPlugin.Implementation

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.emf.common.ui.EclipseUIPlugin
                  org.eclipse.gmf.codegen.gmfgen.presentation.EditorPlugin.Implementation

All Implemented Interfaces:
  org.osgi.framework.BundleActivator, EMFPlugin.InternalEclipsePlugin, Logger, ResourceLocator

Enclosing class:
  EditorPlugin

public static class EditorPlugin.Implementation
extends EclipseUIPlugin

The actual implementation of the Eclipse Plugin.

** Generated **

Field Summary

Fields inherited from class org.eclipse.emf.common.ui.EclipseUIPlugin
`helper`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`EditorPlugin.Implementation()` Creates an instance

Methods inherited from class org.eclipse.emf.common.ui.EclipseUIPlugin
`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditorPlugin.Implementation

    public EditorPlugin.Implementation()

  Creates an instance.

** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.